This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1291117 - 4.4 rc4 system hang on suspend/shutdown after external monitor attached/detached via usb-c DP mode
4.4 rc4 system hang on suspend/shutdown after external monitor attached/detac...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
24
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-13 21:54 EST by Steve D
Modified: 2017-08-08 08:31 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:31:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
journalctl (6.77 KB, text/plain)
2015-12-13 21:54 EST, Steve D
no flags Details

  None (edit)
Description Steve D 2015-12-13 21:54:46 EST
Created attachment 1105430 [details]
journalctl

Description of problem:
After attaching an external monitor to an intel skylake laptop (dell xps 13 9350) via the usb-c port with a usb-c to hdmi adapter and attempting to suspend or shutdown the laptop hangs the system.


Version-Release number of selected component (if applicable):
Fedora 23 x64
Kernel: 4.4.0-0.rc4.git3.2.fc24.x86_64 #1 SMP Thu Dec 10 20:13:41 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:
Always

Steps to Reproduce:
1. Connect external monitor
2. Disconnect (or not) external monitor
3. Shutdown or suspend laptop

Actual results:
System hangs

Expected results:
System would shutdown properly, or suspend properly.

Additional info:
System shutdown or suspend works properly if an external monitor is not attached.

Attached journalctl -k -b -1 with trace.
Comment 1 redhat 2016-01-21 09:53:47 EST
I own the similar Dell XPS 15 9550 and can confirm this issue. Moreover it is not restricted to external monitors but actually happend with everything plugged into the USB Type C port. I tested to connect the following devices:
- Nexus 5x
- USB 3.1 Type C Ethernet Adapter
- Type C to VGA Adapter (without connected monitor)
- USB 3.1 Type C to USB 3.0 Type A female Adapter (without connected device)

Especially the Type C->A Adapter is a totally dumb device. This leads me to conclusion that this is a general problem with the Type C port and not related to the connected device.

I don't know if this is the same issue as Steve has, it would be nice if you (Steve) can verify if other (non-graphics) USB Type C devices work for you.
Comment 2 Steve D 2016-01-25 20:14:06 EST
Unfortunately I don't own any other USB-C devices to test with.

But I can confirm that there is no requirement for the external monitor to be connected to the adapter for this issue to occur.
Comment 3 Jan Kurik 2016-02-24 10:32:29 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 4 Fedora End Of Life 2017-07-25 15:37:59 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2017-08-08 08:31:13 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.